import typescript from './typescript.js';
import es_tag_css from './es-tag-css.js';
import es_tag_glsl from './es-tag-glsl.js';
import es_tag_html from './es-tag-html.js';
import es_tag_sql from './es-tag-sql.js';
import es_tag_xml from './es-tag-xml.js';

const lang = Object.freeze(JSON.parse('{"displayName":"TypeScript with Tags","name":"ts-tags","patterns":[{"include":"source.ts"}],"scopeName":"source.ts.tags","embeddedLangs":["typescript","es-tag-css","es-tag-glsl","es-tag-html","es-tag-sql","es-tag-xml"],"aliases":["lit"]}'));
var tsTags = [
  ...typescript,
  ...es_tag_css,
  ...es_tag_glsl,
  ...es_tag_html,
  ...es_tag_sql,
  ...es_tag_xml,
  lang
];

export { tsTags as default };
//# sourceMappingURL=ts-tags.js.map
